package logic

import (
	"context"

	"fusenapi/home-user-auth/internal/svc"
	"fusenapi/home-user-auth/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetTypeLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewGetTypeLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetTypeLogic {
	return &GetTypeLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *GetTypeLogic) GetType(req *types.Request) (resp *types.Response, err error) {
	// todo: add your logic here and delete this line
	data, err := l.svcCtx.FsCanteenTypeModel.FindGetType(l.ctx)
	if err != nil {
		logx.Error(err)
		return
	}

	// logx.Info(f)
	resp = &types.Response{
		Code:    200,
		Message: "success",
		Data:    data,
	}
	return
}
